VERSION 5.00
Begin VB.Form frmTextBoxTest 
   Caption         =   "Text Box Test"
   ClientHeight    =   6915
   ClientLeft      =   2550
   ClientTop       =   1545
   ClientWidth     =   7170
   Icon            =   "frmTextBoxTest.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6915
   ScaleWidth      =   7170
   Begin VB.CommandButton cmdGetLineAt 
      Caption         =   "Get Text at Line"
      Height          =   495
      Left            =   2280
      TabIndex        =   19
      Top             =   6360
      Width           =   1815
   End
   Begin VB.CommandButton cmdScrollToCaret 
      Caption         =   "Scroll Caret into view"
      Height          =   495
      Left            =   240
      TabIndex        =   18
      Top             =   6360
      Width           =   1935
   End
   Begin VB.CommandButton cmdClearModified 
      Caption         =   "Clear modified Tag"
      Height          =   1215
      Left            =   5880
      TabIndex        =   17
      Top             =   5040
      Width           =   1215
   End
   Begin VB.CommandButton cmdIsDirty 
      Caption         =   "Has the text box changed since clearing the Modified Tag"
      Height          =   1215
      Left            =   5880
      TabIndex        =   16
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton cmdFirstVisibleLine 
      Caption         =   "Get Line Number of First Visible Line"
      Height          =   495
      Left            =   2040
      TabIndex        =   15
      Top             =   4800
      Width           =   2055
   End
   Begin VB.CommandButton cmdEmptyUndo 
      Caption         =   "Empty Undo"
      Height          =   495
      Left            =   4800
      TabIndex        =   14
      Top             =   5400
      Width           =   975
   End
   Begin VB.CommandButton cmdUndo 
      Caption         =   "&Undo"
      Height          =   375
      Left            =   4560
      TabIndex        =   13
      Top             =   4920
      Width           =   1095
   End
   Begin VB.CommandButton cmdStartofLine 
      Caption         =   "Get position of character that starts this line"
      Height          =   615
      Left            =   120
      TabIndex        =   12
      Top             =   4800
      Width           =   1815
   End
   Begin VB.CommandButton cmdLineLength 
      Caption         =   "Get Line Length"
      Height          =   495
      Left            =   1920
      TabIndex        =   11
      Top             =   3600
      Width           =   1575
   End
   Begin VB.CommandButton cmdCurrentLinePos 
      Caption         =   "Get Current Line Number"
      Height          =   495
      Left            =   1920
      TabIndex        =   10
      Top             =   4200
      Width           =   1575
   End
   Begin VB.Frame Frame3 
      Caption         =   "Scroll"
      Height          =   1215
      Left            =   4560
      TabIndex        =   7
      Top             =   3600
      Width           =   1095
      Begin VB.CommandButton cmdScrollDown 
         Caption         =   "&Down"
         Height          =   375
         Left            =   120
         TabIndex        =   9
         Top             =   720
         Width           =   855
      End
      Begin VB.CommandButton cmdScrollUp 
         Caption         =   "&Up"
         Height          =   375
         Left            =   120
         TabIndex        =   8
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "&Rightmargin"
      Height          =   735
      Left            =   2520
      TabIndex        =   5
      Top             =   5520
      Width           =   2175
      Begin VB.HScrollBar hsRightMargin 
         Height          =   255
         Left            =   240
         Max             =   200
         TabIndex        =   6
         Top             =   360
         Width           =   1695
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "&Left margin"
      Height          =   735
      Left            =   240
      TabIndex        =   3
      Top             =   5520
      Width           =   2175
      Begin VB.HScrollBar hsLeftMargin 
         Height          =   255
         Left            =   240
         Max             =   200
         TabIndex        =   4
         Top             =   360
         Width           =   1695
      End
   End
   Begin VB.CommandButton cmdGetCurrentLine 
      Caption         =   "Get Current Line Text"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   4200
      Width           =   1695
   End
   Begin VB.CommandButton cmdLineCount 
      Caption         =   "Get Line Line Count"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   3600
      Width           =   1695
   End
   Begin VB.TextBox Text1 
      Height          =   3375
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Text            =   "frmTextBoxTest.frx":000C
      Top             =   120
      Width           =   5535
   End
End
Attribute VB_Name = "frmTextBoxTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdClearModified_Click()
    isDirty(Text1) = False
End Sub

Private Sub cmdCurrentLinePos_Click()
    MsgBox "The current line is line " & CurrentLinePos(Text1)
End Sub

Private Sub cmdEmptyUndo_Click()
    EmptyUndo Text1
End Sub

Private Sub cmdFirstVisibleLine_Click()
    MsgBox "First Visible Line=" & FirstVisibleLine(Text1)
End Sub


Private Sub cmdGetCurrentLine_Click()
    MsgBox CurrentLine(Text1)
End Sub

Private Sub cmdGetLineAt_Click()
    Dim lngLine As Long, StartOfLine As Long
    lngLine = InputBox("Line Number", , 0)
    StartOfLine = LineStartPos(Text1, lngLine)
    If StartOfLine > -1 Then
        MsgBox LineLength(Text1, StartOfLine) & ":" & LineAt(Text1, lngLine)
    End If
End Sub

Private Sub cmdIsDirty_Click()
    If isDirty(Text1) Then
        MsgBox "Yes"
    Else
        MsgBox "No"
    End If
End Sub

Private Sub cmdLineCount_Click()
    MsgBox "LineCount = " & LineCount(Text1)
End Sub

Private Sub cmdLineLength_Click()
    MsgBox "Length of current line = " & CurrentLineLength(Text1)
End Sub

Private Sub cmdScrollDown_Click()
    Scroll Text1, 0, 1
End Sub

Private Sub cmdScrollToCaret_Click()
    ScrollToCaret Text1
End Sub

Private Sub cmdScrollUp_Click()
    Scroll Text1, 0, -1
End Sub

Private Sub cmdStartofLine_Click()
    MsgBox "The position of the character which starts this line is: " & CurrentLineStartPos(Text1)
End Sub

Private Sub cmdUndo_Click()
    If CanUndo(Text1) Then
        Undo Text1
    Else
        MsgBox "Can't Undo"
    End If
    
End Sub

Private Sub Form_Load()
    hsLeftMargin.Value = LeftMargin(Text1)
    hsRightMargin.Value = RightMargin(Text1)
End Sub

Private Sub Form_Resize()
On Error Resume Next
    Text1.Width = ScaleWidth - 240
End Sub


Private Sub hsLeftMargin_Change()
    LeftMargin(Text1) = hsLeftMargin.Value
End Sub

Private Sub hsRightMargin_Change()
    RightMargin(Text1) = hsRightMargin.Value
End Sub
